Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts11
Interface Constants

public interface Constants

Constants used by the BC4J model support for Struts.

Since:
  JDeveloper 9.0.3

Field Summary
`static java.lang.String` | `BC4J_MULTIPART_HANDLER_ATTR_NAME` attribute name used to store the `MultipartRequestHandler` object in the request context
`static java.lang.String` | `BC4JWepAppLockModeParamName` param-name in the web.xml where the lock mode for the model is stored.
`static java.lang.String` | `BC4JWepAppParamName` param-name in the web.xml where the model definition file name is stored.
`static java.lang.String` | `SUCCESS_FORWARD` Name of the default forward used by the action

Field Detail

### BC4JWepAppParamName

    public static final java.lang.String BC4JWepAppParamName

  param-name in the web.xml where the model definition file name is stored.

       <servlet>
         <servlet-name>action</servlet-name>
         <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
         ...
         <init-param>
           <!-- use Project2.cpx model definition file -->
           <param-name>BC4JDefinition</param-name>
           <param-value>Project2</param-value>
         </init-param>
         ...
       </servlet>

  See Also:
    Constant Field Values

### BC4JWepAppLockModeParamName

    public static final java.lang.String BC4JWepAppLockModeParamName

  param-name in the web.xml where the lock mode for the model is stored. Default value is false.

       <servlet>
         <servlet-name>action</servlet-name>
         <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
         ...
         <init-param>
           <!-- specify whether a session lock should be acquired for the
       shared application module resource -->
           <param-name>BC4JLock</param-name>
           <param-value>true</param-value>
         </init-param>
         ...
       </servlet>

  Since:
    JDeveloper 9.0.4
  See Also:
    Constant Field Values

### SUCCESS_FORWARD

    public static final java.lang.String SUCCESS_FORWARD

  Name of the default forward used by the action
  See Also:
    Constant Field Values

### BC4J_MULTIPART_HANDLER_ATTR_NAME

    public static final java.lang.String BC4J_MULTIPART_HANDLER_ATTR_NAME

  attribute name used to store the `MultipartRequestHandler` object in the request context
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.